Skip to navigation

Get template lock information

View as Markdown

Retrieves general information about the template lock.

If the call is made by the user who has the lock and the request has the same integrator key as original, then the X-DocuSign-Edit header field and additional lock information is included in the response. This allows users to recover a lost editing session token and the X-DocuSign-Edit header.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

templateIdstringRequired
The ID of the template being accessed.

Response

Successful response.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
lockDurationInSecondsstringOptional
The number of seconds to lock the envelope for editing. Must be greater than 0 seconds.
lockedByAppstringOptional
A friendly name of the application used to lock the envelope. Will be used in error messages to the user when lock conflicts occur.
lockedByUserobjectOptional
lockedUntilDateTimestringOptional
The datetime until the envelope lock expires.
lockTokenstringOptional
A unique identifier provided to the owner of the envelope lock. Used to prove ownership of the lock.
lockTypestringOptional
The type of envelope lock. Currently "edit" is the only supported type.
useScratchPadstringOptional

Reserved for future use.

Indicates whether a scratchpad is used for editing information.

Errors

400
Bad Request Error